Request Information
URI Parameters :
None.
Body Parameters :
db_file_folder| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| parent_id |
Reference to a parent folder (in case of Child/Parent) when adding/updating folder |
globally unique identifier | |
| parent_reference_back_office |
Reference to a parent folder (in case of Child/Parent) when adding/updating folder |
string | |
| parent_db_file_folder |
Reference to a parent folder (in case of Child/Parent) using embedded entity when adding/updating folder |
db_file_folder | |
| name | string |
Required Max length: 255 |
|
| description |
Description of the folder |
string |
Max length: 255 |
| sequence |
Sorting field (0 first) |
integer | |
| is_sales |
Indicate that this folder should be shown on the Sales environemnt (Company/Contact details) |
boolean | |
| is_services |
Indicate that this folder should be shown on the Services environemnt (Task/Project and Jobs details) |
boolean | |
| is_articles |
Indicate that this folder should be shown on the Article Details |
boolean | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "0854afc3-f1a0-46f8-a173-987faea1640f",
"parent_id": "8f256416-8c8e-4666-b7c5-158a588e3593",
"parent_reference_back_office": "sample string 3",
"name": "sample string 4",
"description": "sample string 5",
"sequence": 6,
"is_sales": true,
"is_services": true,
"is_articles": true,
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-07-13T23:12:04.9104234+00:00"
}
Response Information
Resource Description :
db_file_folder| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| parent_id |
Reference to a parent folder (in case of Child/Parent) when adding/updating folder |
globally unique identifier | |
| parent_reference_back_office |
Reference to a parent folder (in case of Child/Parent) when adding/updating folder |
string | |
| parent_db_file_folder |
Reference to a parent folder (in case of Child/Parent) using embedded entity when adding/updating folder |
db_file_folder | |
| name | string |
Required Max length: 255 |
|
| description |
Description of the folder |
string |
Max length: 255 |
| sequence |
Sorting field (0 first) |
integer | |
| is_sales |
Indicate that this folder should be shown on the Sales environemnt (Company/Contact details) |
boolean | |
| is_services |
Indicate that this folder should be shown on the Services environemnt (Task/Project and Jobs details) |
boolean | |
| is_articles |
Indicate that this folder should be shown on the Article Details |
boolean | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "71cb21e9-0983-46ac-9214-b93e2f7a43be",
"parent_id": "7c99393c-1655-452f-822c-2a3e1e3fce79",
"parent_reference_back_office": "sample string 3",
"name": "sample string 4",
"description": "sample string 5",
"sequence": 6,
"is_sales": true,
"is_services": true,
"is_articles": true,
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-07-13T23:12:04.9104234+00:00"
}